Desktop Guide Middle-click Tips & tricks outdated

Bug #1617718 reported by Oxwivi on 2016-08-28
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-docs (Ubuntu)
Medium
Chris Perry

Bug Description

The Tips & tricks page for Middle-click is clearly outdated. It mentions three-finger tap to emulate middle-clicks, but since a few releases back, middle-click emulation is done by tapping the top-right corner.

I'm just reporting what I noticed while Googling around, so there's orobably more factual errors around. This bug report is to bring attention to the issue.

Related branches

Elizabeth K. Joseph (lyz) wrote :

Thanks for the report! Do you have the link to where you found this documentation so we can take a look at it?

Ah, yes. Excuse me for not including the relevant link.

On Sun, Aug 28, 2016, 10:40 PM Doug Smythies <email address hidden>
wrote:

> I assume this bug report is referring to:
> https://help.ubuntu.com/lts/ubuntu-help/mouse-middleclick.html
>
> Upstream reference:
> https://help.gnome.org/users/gnome-help/stable/mouse-middleclick.html.en
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1617718
>
> Title:
> Desktop Guide Middle-click Tips & tricks outdated
>
> Status in ubuntu-docs package in Ubuntu:
> New
>
> Bug description:
> The Tips & tricks page for Middle-click is clearly outdated. It
> mentions three-finger tap to emulate middle-clicks, but since a few
> releases back, middle-click emulation is done by tapping the top-right
> corner.
>
> I'm just reporting what I noticed while Googling around, so there's
> orobably more factual errors around. This bug report is to bring
> attention to the issue.
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/ubuntu-docs/+bug/1617718/+subscriptions
>

Gunnar Hjalmarsson (gunnarhj) wrote :

Had hoped that the upstream page would provide some guidance, but it does not. This will have to wait until post yakkety.

Chris Perry (clissold345) wrote :

I did a few internet searches to try to find out more info. On a forum one user reports (May 2012) that tap at the bottom right corner = Right click and tap at the top right corner = Middle click (this will be for a particular type of touchpad). But of course we can't document what works for one particular user! I think we need Canonical to confirm what taps do what for which types of touchpad (and that will be for how it works in Ubuntu 17.04, since we're not going to change the desktop help for 16.10 and earlier).

Chris Perry (clissold345) wrote :

This bug concerns middle click - but a similar point surely applies to right click. Logically it would make sense if the following is correct:

If you have a touchpad and "Tap to click" is turned on then:

1. If your touchpad supports multi-finger taps, middle-click by tapping with three fingers at once otherwise middle-click by tapping once in the top right corner.

2. If your touchpad supports multi-finger taps, right-click by tapping with two fingers at once, otherwise right-click by tapping once in the bottom right corner.

Oxwivi (oxwivi) wrote :

My touchpad can support multi-finger taps, and I assure you, three-finger
tap for middle-click does NOT work. Only the top-right corner tap does.

On Fri, Oct 7, 2016 at 9:44 AM Chris Perry <email address hidden>
wrote:

> This bug concerns middle click - but a similar point surely applies to
> right click. Logically it would make sense if the following is correct:
>
> If you have a touchpad and "Tap to click" is turned on then:
>
> 1. If your touchpad supports multi-finger taps, middle-click by tapping
> with three fingers at once otherwise middle-click by tapping once in the
> top right corner.
>
> 2. If your touchpad supports multi-finger taps, right-click by tapping
> with two fingers at once, otherwise right-click by tapping once in the
> bottom right corner.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1617718
>
> Title:
> Desktop Guide Middle-click Tips & tricks outdated
>
> Status in ubuntu-docs package in Ubuntu:
> New
>
> Bug description:
> The Tips & tricks page for Middle-click is clearly outdated. It
> mentions three-finger tap to emulate middle-clicks, but since a few
> releases back, middle-click emulation is done by tapping the top-right
> corner.
>
> I'm just reporting what I noticed while Googling around, so there's
> orobably more factual errors around. This bug report is to bring
> attention to the issue.
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/ubuntu-docs/+bug/1617718/+subscriptions
>

Chris Perry (clissold345) wrote :

Hi Oxwivi, thanks for correcting me. I didn't have access to a touchpad that supports multi-finger taps, so I couldn't try three-finger taps myself.

Changed in ubuntu-docs (Ubuntu):
assignee: nobody → Chris Perry (clissold345)
importance: Undecided → Medium
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-docs - 17.04.1

---------------
ubuntu-docs (17.04.1) zesty; urgency=medium

  * scripts/validate.sh:
    - Modified so it can be called via a symlink from 'ubuntu-help/C'
      or 'html'.
  * power-hibernate.page:
    - Changed command due to upstart->systemd transition.
  * Bump version to 17.04 / zesty.
  * html/ubuntu.xsl:
    - Make unordered lists bulleted and not numbered (LP: #1649554).
  * keyboard-layouts.page:
    - Note about how to show rarely used xkb layout variants.
  * Updated ubuntu-help.pot.
  * debian/compat, debian/control:
    - Bump to debhelper version 9

  [ Chris Perry ]
  * tips-specialchars.page:
    - Section "Compose key" updated (LP: #1624778).
  * addremove-ppa.page:
    - Revise PPA description (LP: #1628706).
  * keyboard-layouts.page:
    - Move text of marginal note.
  * mouse-middleclick.page, mouse-touchpad-click.page:
    - Revise description of middle-click from touchpad (LP: #1617718).
  * power-lowpower.page:
    - Update since related control in "System Settings -> Power" has
      been removed (LP: #1599264, LP: #1641786).
  * accounts-add.page, net-firewall-on-off.page:
    - Minor clarifications.
  * net-wireless-*.page, net-problem.page:
    - GUI conformity modifications (LP: #1637126)
    - New shared section (LP: #977251)
  * addremove-install.page, addremove-remove.page:
    - Clearer description of Ubuntu Software's focus on applications
      (LP: #1637861).
    - Mentioning of snaps (LP: #1658785).
  * printing-setup.page:
    - Section about network printer added (LP: #1630272).
  * mouse-mousekeys.page:
    - Improved description of mouse keys (LP: #964727).
  * disk-*.page:
    - GUI conformity modifications (LP: #1651360).
  * List type explicitly stated on multiple pages.
  * addremove-creator.page:
    - New page describing Startup Disk Creator (LP: #1569532).
  * security-settings.page:
    - New page describing the Security & Privacy panel in System
      Settings (LP: #1200381).

  [ Doug Smythies ]
  * scripts/validate.sh:
    - Changed to --strict validation.
  * ubuntu-help/C/legal.xml:
    - Specify https to avoid a "permanently moved" redirection.

 -- Gunnar Hjalmarsson <email address hidden> Mon, 20 Feb 2017 15:11:00 +0100

Changed in ubuntu-docs (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers